Hostwinds Tutorials

Search results for:


Table of Contents


Drupal 7 Requirements
Disk space
Webserver
Database
PHP
Drupal 8 Requirements
Web Server
Database Server
PHP versions supported

Drupal System Requirements

Drupal 7 Requirements
Disk space
Webserver
Database
PHP
Drupal 8 Requirements
Web Server
Database Server
PHP versions supported

Drupal is an open-source content management system for building websites.  This guide intends to inform Hostwinds clients interested in Drupal's system requirements before installing and running Drupal. This is one of the more common applications that many clients choose with a Shared or Business Hosting plan when getting started with Hostwinds. This guide is also relevant for Hostwinds Cloud, VPS, and Dedicated server clients who are looking to configure their web hosting services to support a specific version of Drupal.

Drupal 7 Requirements

Disk space

A minimum installation requires 15 Megabytes. 60 MB is needed for a website with many contributed modules and themes installed. Keep in mind you need much more for the database, files uploaded by the users, media, backups, and other files.

Webserver

Apache, Nginx, Microsoft IIS, or any other web server with proper PHP support.

Database

  • MySQL 5.0.15/MariaDB 5.1.44/Percona Server 5.1.70 or higher with PDO,
  • PostgreSQL 8.3 or higher with PDO,
  • SQLite 3.3.7 or higher

PHP

PHP 5.2.5 or higher (5.4 or higher recommended).

Drupal 7 requirements provided by Drupal's official page here and subject to change.

Drupal 8 Requirements

Web Server

Apache, Nginx, Microsoft IIS, or any other web server with proper PHP support.

Database Server

  • MySQL 5.5.3
  • MariaDB 5.5.20
  • Percona Server 5.5.8
  • (above versions or higher with InnoDB as the primary storage engine, and requires the PDO database extension)
  • PostgreSQL 9.1.2 or higher
  • Supports SQLite 3.6.8 or higher
  • Additional modules support Microsoft SQL Server and MongoDB.

PHP versions supported

PHP versionSupportedRecommended?5.55.5.9+

No5.6Yes

No7.0Yes

No7.1Yes

Yes7.2Yes as of Drupal 8.5.0*

Yes

Drupal 8 requirements provided by Drupal official page here and subject to change.

Written by Hostwinds Team  /  August 30, 2018

Need help? Chat now!